when isMainModule:
  import tables
  import os
  import modules/[blog, env, db]

  let dataDir: string = "data"

  let settings = {
    "debug": boolEnvOrDefault("DEBUG", false),
    "logging": boolEnvOrDefault("NIMBLOG_LOG", true)
  }.toTable()

  let dbSettings = {
    "path": dataDir & "/" & "blog.db",
    "schema_path": "schema.sql"
  }.toTable()

  if not dirExists(dataDir):
    echo "Created data directory"
    createDir(dataDir)

  if not createDb(dbSettings):
    echo "Failed to prepare database"
    quit(QuitFailure)

  try:
    echo "Starting website"
    runWebsite(settings=settings, dbSettings=dbSettings)
  except:
    echo "Could not run website"
